html {
  scroll-behavior: smooth;
}

/* Custom scrollbar track */
::-webkit-scrollbar {
  width: 12px; /* Width for vertical scrollbar */
  height: 12px; /* Height for horizontal scrollbar */
}

::-webkit-scrollbar-track {
  background: #030111; /* Light gray background */
}
/* Custom scrollbar thumb */
::-webkit-scrollbar-thumb {
  background: #18142e; /* Dark gray color */
  border-radius: 10px;
  padding: 1;
}

::-webkit-scrollbar-thumb:hover {
  background: #5944e3; /* Darker gray when hovered */
}
.customShadow {
  -webkit-box-shadow: 0px -9px 23px -3px rgba(6, 2, 31, 1);
  -moz-box-shadow: 0px -9px 23px -3px rgba(6, 2, 31, 1);
  box-shadow: 0px -9px 23px -3px rgba(6, 2, 31, 1);
}
button:hover {
  transition: color 0.3s;
}
.nav-link {
  /* Regular link color */
  transition: color 0.3s;
}

.nav-link.active {
  color: white;
  /* Active link color */
}
/* Optional smoother animation */
.slide-right {
  transform: translateX(0);
  transition: transform 0.5s ease-in-out;
}

.hidden-slide {
  transform: translateX(100%);
  transition: transform 0.5s ease-in-out;
}

@keyframes appear {
  from {
    opacity: 0;
    transform: scale(0.5);
  }

  to {
    opacity: 1;
    transform: scale(1);
  }
}

.cusAnime {
  opacity: 0;
  /* This ensures the element is invisible until it comes into view */
}

.cusAnime.in-view {
  animation: appear 0.5s linear forwards;
}

@keyframes appearNav {
  from {
    opacity: 0;
  }

  to {
    opacity: 1;
  }
}
.customHiddenNav {
  transition: appear 0.5s ease-in;
}
.navAnimation {
  background-color: #18142e;
  animation: appearNav 0.5s ease;
}

.navAnimationRemove {
  animation: appearNav 0.5s ease;
}

input[type="radio"] {
  display: none;
}

/* Style for the labels to look like checkboxes */

/* Checked state for the selected label */
input[type="radio"]:checked + label {
  background-color: #543fe0;
  color: #ffffff;
  border-radius: 50px;
}

/* Hide all images by default */
.hover-image {
  display: none;
  width: 80px;
  height: 66px;
  border-radius: 8px;
  object-fit: cover;
  margin-right: 10px;
}

/* Flex style to arrange text and images */
.hover-li {
  display: flex;
  align-items: center;
  cursor: pointer;
  transition: color 0.3s;
}

.hover-li:hover {
  color: #ffffff;
  transition: color 0.3s;
}

.scroller {
  max-width: 100%;
}

.scroller__inner {
  display: flex;
  flex-wrap: wrap;
  gap: 1rem;
}

.scroller[data-animated="true"] {
  overflow: hidden;
  -webkit-mask: linear-gradient(
    90deg,
    transparent,
    white 20%,
    white 80%,
    transparent
  );
}

.scroller[data-animated="true"] .scroller__inner {
  width: max-content;
  flex-wrap: nowrap;
  animation: scroll var(--_animation-duration, 40s)
    var(--_animation-direction, forwards) linear infinite;
}

.scroller[data-direction="right"] {
  --_animation-direction: reverse;
}

.scroller[data-direction="left"] {
  --_animation-direction: forwards;
}

.scroller[data-speed="fast"] {
  --_animation-duration: 20s;
}

.scroller[data-speed="slow"] {
  --_animation-duration: 60s;
}

@keyframes scroll {
  to {
    transform: translate(calc(-50% - 0.5rem));
  }
}
